IQLEvaluator4DW
Keywords: uk.ac.bbk.dcs.automed.dataWarehousing.util.IQLEvaluator4DW class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.dataWarehousing.util
Class IQLEvaluator4DW

    java.lang.Object
      uk.ac.bbk.dcs.automed.dataWarehousing.util.IQLEvaluator4DW

    public class IQLEvaluator4DW

extends java.lang.Object

Constructor Summary
`IQLEvaluator4DW()`
`IQLEvaluator4DW(Schema s)`
`IQLEvaluator4DW(Schema[] sa)`
`IQLEvaluator4DW(Schema[] sa, Schema tarS)`
`IQLEvaluator4DW(java.lang.String[] sa)`

Method Summary
`ASG` | `evaluate(ASG query)`
`ASG` | `evaluate(Cell query)`
`ASG` | `evaluate(java.lang.String query)`
`boolean` | `isMapedObject(java.lang.String schemaObj)`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IQLEvaluator4DW

    public IQLEvaluator4DW()

### IQLEvaluator4DW

    public IQLEvaluator4DW(Schema s)

### IQLEvaluator4DW

    public IQLEvaluator4DW(java.lang.String[] sa)

### IQLEvaluator4DW

    public IQLEvaluator4DW(Schema[] sa)

### IQLEvaluator4DW

    public IQLEvaluator4DW(Schema[] sa,
                           Schema tarS)

Method Detail

### isMapedObject

    public boolean isMapedObject(java.lang.String schemaObj)

### evaluate

    public ASG evaluate(java.lang.String query)
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### evaluate

    public ASG evaluate(Cell query)
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### evaluate

    public ASG evaluate(ASG query)
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD